FROM openjdk:11-jre-slim
ARG BUILD_VERSION
ENV APP_FILE gateway-service-$BUILD_VERSION.jar
ENV APP_HOME /usr/apps
ENV APP_SOURCE ./build/libs
COPY $APP_SOURCE/$APP_FILE $APP_HOME/
COPY src/main/resources/rsa-public.pem /security/rsa-public.pem
RUN sh -c 'touch /security/rsa-public.pem'
RUN mkdir -p $APP_HOME/src/main/resources
WORKDIR $APP_HOME
ENTRYPOINT ["sh", "-c"]
CMD ["exec java -Djava.security.egd=file:/dev/./urandom -jar $APP_FILE"]
EXPOSE 8090
# docker build --build-arg BUILD_VERSION=$BUILD_VERSION -t registry.digitallab.academy:5001/gateway-service:$BUILD_VERSION -f Dockerfile .
# docker  push registry.digitallab.academy:5001/gateway-service:$BUILD_VERSION


# *************************************************************************************

# FROM registry.digitallab.academy:5001/openjdk11:jdk-11.0.7_10-alpine-slim
# LABEL name="gateway-service" 
     
# COPY ${JAR_FILE} ${APP_DIR}/${APP_NAME}
# COPY src/main/resources/rsa-public.pem /security/rsa-public.pem

# EXPOSE 8080


# docker build -t registry.digitallab.academy:5001/gateway-service:$BUILD_VERSION -f Dockerfile .
# docker  push registry.digitallab.academy:5001/gateway-service:$BUILD_VERSION
